package com.ruoyi.project.training.bccnew.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.bccnew.domain.TTsYsplan;

/**
 * 转岗培训Mapper接口
 * 
 * @author ssy
 * @date 2024-06-13
 */
public interface TTsYsplanMapper 
{
    /**
     * 查询转岗培训
     * 
     * @param id 转岗培训ID
     * @return 转岗培训
     */
    public TTsYsplan selectTTsYsplanById(Long id);

    /**
     * 查询转岗培训列表
     * 
     * @param tTsYsplan 转岗培训
     * @return 转岗培训集合
     */
    public List<TTsYsplan> selectTTsYsplanList(TTsYsplan tTsYsplan);
    public List<TTsYsplan> selectTTsYsplanListByNewId(TTsYsplan tTsYsplan);

    /**
     * 新增转岗培训
     * 
     * @param tTsYsplan 转岗培训
     * @return 结果
     */
    public int insertTTsYsplan(TTsYsplan tTsYsplan);

    /**
     * 修改转岗培训
     * 
     * @param tTsYsplan 转岗培训
     * @return 结果
     */
    public int updateTTsYsplan(TTsYsplan tTsYsplan);

    /**
     * 删除转岗培训
     * 
     * @param id 转岗培训ID
     * @return 结果
     */
    public int deleteTTsYsplanById(Long id);

    /**
     * 批量删除转岗培训
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTsYsplanByIds(Long[] ids);
}
